/**** begin default style ****/
html,
body {
    background-color: var(--color-1);
    background-image: url(../images/background/default.webp);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    background-position: center center;
    width: auto;
    margin: auto;
    overflow-x: hidden;
    -webkit-font-smoothing: antialiased;
}

a {
    text-decoration: none;
}

.h3,
h3 {
    font-size: 1.3rem;
}

.container {
    max-width: 1170px !important;
}

input[type="text"],
input[type="text"]:focus,
input[type="password"],
input[type="password"]:focus {
    box-shadow: none !important;
    outline: 0 !important;
}

.text-copyright {
    color: var(--text-light-color);
    font-size: 14px;
}

.text-justify {
    text-align: justify;
}

/**** endof default style ****/

/**** begin components style ****/
.carousel-bg {
    background: rgba(0, 0, 0, 0.9);
    width: 30px;
    height: 95%;
    font-size: large;
    border-radius: 10px;
}

.carousel-item {
    position: relative;
    float: left;
    width: 100%;
    height: auto;
    margin-right: -100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    transition: transform .6s ease-in-out;
}

.slider-images img {
    aspect-ratio: 18/5;
    object-fit: fill;

}

.carousel.slide {
    position: relative;
}

.carousel-inner {
    position: relative;
    width: 100%;
    overflow: hidden;
}

/*carousel product*/
.carousel-product {
    display: flex;
    width: auto;

}


.carousel-product .item-product {
    width: 98%;
    padding-bottom: 10px;
    gap: 5;


}

.carousel-product .item-product img {
    width: 100%;
    aspect-ratio: 1/1;
    object-fit: cover;
}

.carousel-product .title {
    width: 100%;
    padding: 0px 10px;
    margin-bottom: -10vh;
    border-bottom: 2px solid var(--color-5);
}

.carousel-product .title .title-left {
    width: 70%;
    text-align: left;
    justify-content: left;
    text-transform: uppercase;
    color: var(--color-5);
}

.carousel-product .title .title-left img {
    margin-top: -5px;
    padding: 0px 5px;
}

.carousel-product .title .title-right {
    width: 30%;
    text-align: right;
    justify-content: justify;
}

.carousel-product .title .right {
    width: auto;
    font-size: 14px;
}

.carousel-product .title .left {
    width: auto;
    font-size: 14px;
}


.carousel-product h3 {
    font-size: 1.2rem;
    color: var(--color-5);

}

.carousel-product h3 a {
    font-size: 1.2rem;
    color: var(--color-5);

}

.carousel-product .img-fluid {
    width: 0.5fr;
}

/**snack**/
#snackbar {
    visibility: hidden;
    width: 90%;
    background-color: var(--color-6);
    color: black;
    text-align: center;
    border-radius: 4px;
    padding: 16px;
    position: fixed;
    z-index: 1;
    left: 50%;
    bottom: 50px;
    transform: translateX(-50%);
    font-size: 17px;
    transition: visibility 0.5s, opacity 0.5s;
    opacity: 0;
}

/*watermark*/
.watermark {
    background-color: none;
    width: auto;
    height: auto;
    display: inline-block;
    position: relative;
    padding: 1px 1px;
    z-index: 5;
    top: 30px;
    border: none;
}

.watermark img {
    width: 35px;
    height: 35px;
    right: 70px;
    position: relative;
    aspect-ratio: 1 / 1;
    object-fit: fill;
}

.img-bg {
    background-color: var(--color-1);
    border-radius: 10px solid var(--color-1);
    border-radius: 10px;

}

.btn-popup-form {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 32px;
    height: 32px;
    background-color: var(--white);
    border-radius: 50%;
    color: var(--color-1);
    font-size: 18px;
    line-height: 1;
}

.btn-popup-wl {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 32px;
    height: 32px;
    background-color: var(--white);
    border-radius: 50%;
    color: var(--color-1);
    font-size: 18px;
    line-height: 1;
}

.btn-download {
    display: flex;
    position: relative;
    justify-content: center;
    flex-direction: row;
    gap: 10px;
    align-items: center;
    background-image: var(--gradient-5);
}

.btn-download i {
    display: block;
    width: 14px;
    height: 14px;
    line-height: 1;
}

.btn-download span:last-child {
    font-weight: 600;
}


.card-infobar,
.card-form {
    border-radius: 12px;
}

.card-infobar>.card-body,
.card-form>.card-body {
    display: block;
    position: relative;
    border-radius: 12px;
    z-index: 1;
}

.card-infobar>.card-body::before,
.card-form>.card-body::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: auto;
    height: 8px;
    background-color: var(--color-4);
    border-radius: 12px 12px 0 0;
    z-index: -1;
}

.card-infobar>.card-body>.card-title,
.card-form>.card-body>.card-title {
    display: inline-block;
    position: relative;
    padding: 10px 12px 8px;
    background-color: var(--color-4);
    border-radius: 12px 0 20px 0;
    color: var(--color-1);
    font-size: 20px;
    font-weight: 700;
}

.card-infobar>.card-body>.card-title::before,
.card-form>.card-body>.card-title::before {
    content: "";
    position: absolute;
    top: 0;
    right: -10px;
    bottom: 0;
    width: 25px;
    height: auto;
    background-color: var(--color-4);
    border-radius: 0 0 12px 0;
    transform: skewX(-25deg);
    z-index: -1;
}

.card-support {
    display: block;
    position: relative;
    padding: 1rem;
    border-radius: 8px;
}

.card-support .card-title {
    margin-bottom: 5px;
    font-weight: 500;
}

.card-support .card-sub_title {
    font-size: 14px;
    font-weight: 300;
}

.card-support .card-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    background-image: var(--gradient-2);
    border-radius: 50%;
    color: var(--color-1);
    font-size: 30px;
    line-height: 1;
}

.card-support .card-icon .icon {
    display: block;
    position: relative;
    margin: 0;
    padding: 0;
    width: 30px;
    height: 30px;
}

.card-support .card-info {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1px;
    font-size: 50px;
    font-weight: 700;
    font-style: italic;
}

.card-support .card-info small {
    font-size: 20px;
    font-style: normal;
    font-weight: 300;
    transform: rotate(-78deg);
}


.callout {
    display: block;
    position: relative;
    padding: 10px;
    border-left: 5px solid var(--color-5);
    line-height: 1;
    border-radius: 10px;
}

.contact-box {
    display: block;
    position: relative;
}

.contact-box .contact {
    display: block;
    position: relative;
    text-decoration: none;
}

.contact-box .contact .contact-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 35px;
    height: 35px;
    background-color: var(--color-6);
    border-radius: 50%;
    color: var(--color-3);
    font-size: 22px;
    line-height: 1;
}

.contact-box .contact .contact-icon .icon {
    display: block;
    position: relative;
    margin: 0;
    padding: 0;
    width: 22px;
    height: 22px;
    line-height: 1;
}

.contact-box .contact .contact-title {
    text-transform: uppercase;
    font-size: 14px;
}

.contact-box .contact .contact-number {
    font-size: 14px;
}

.contact-box hr {
    margin: 12.5px 0;
    border-top: 0;
    border-left: 0;
    border-right: 0;
    border-bottom: 1px solid var(--color-9);
    object-fit: cover;
}


.content-bar .border-top-bottom {
    display: flex;
    padding: 15px 0;
    border-top: 1px solid var(--color-4);
    border-bottom: 1px solid var(--color-4);
}

.content-bar .content-bar-wrapper {
    display: block;
    width: 100%;
    height: auto;
    text-align: center;
}

.content-bar .content-bar-list {
    display: contents;
    width: 100%;
    height: auto;
}

.content-bar .icon-bank {
    display: block;
    position: relative;
    padding: 5px 5px 5px 20px;
    background-color: var(--color-3);
    border-radius: 8px;
    margin-right: 1vh;
}

.content-bar .icon-bank img {
    width: 100%;
    height: auto;
    border-radius: 8px;
    aspect-ratio: 16/5;
    object-fit: contain;
}

.content-bar .icon-bank.online::before {
    content: "";
    display: block;
    position: absolute;
    top: calc(50% - 5px);
    left: 5px;
    width: 10px;
    height: 10px;
    border-radius: 50px;
    background-color: green;
}

.content-bar .icon-bank.offline::before {
    content: "";
    display: block;
    position: absolute;
    top: calc(50% - 5px);
    left: 5px;
    width: 10px;
    height: 10px;
    border-radius: 50px;
    background-color: red;
}

.content-bank-title {
    width: auto;
    border-bottom: 2px solid var(--color-5);
}

.content-bank-title h1,
h6 {
    color: var(--color-5);
    font-size: 1rem;
}

.bplist {
    width: 100%;
}

.bplist .list-group {
    border-radius: 5px;
}

.bplist .list-group a {
    color: var(--white);
}

.bplist .list-group .list-group-item {
    background-color: var(--color-2);
    border-bottom: 1px solid var(--color-1);

}

.hamburger-lines {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    margin-top: -24px;
    height: 22px;
    width: 28px;
    z-index: 19;
}

.hamburger-lines .line {
    display: block;
    height: 3px;
    width: 100%;
    border-radius: 10px;
    background: var(--white);
}

.hamburger-lines .line1 {
    transform-origin: 0% 0%;
    transition: transform 0.4s ease-in-out;
}

.hamburger-lines .line2 {
    transition: transform 0.2s ease-in-out;
}

.hamburger-lines .line3 {
    transform-origin: 0% 100%;
    transition: transform 0.4s ease-in-out;
}

.checkbox {
    position: relative;
    display: block;
    top: 0;
    left: 0;
    margin: 0;
    height: 28px;
    width: 28px;
    cursor: pointer;
    opacity: 0;
    z-index: 99;
}

.checkbox:checked~.menu-header-container {
    transform: translateX(0);
}

.checkbox:checked~.hamburger-lines .line1 {
    transform: rotate(45deg);
}

.checkbox:checked~.hamburger-lines .line2 {
    transform: scaleY(0);
}

.checkbox:checked~.hamburger-lines .line3 {
    transform: rotate(-45deg);
}

/***footer article***/
.footer-article {
    width: 100%;
    padding: 10px 2px;
    border-radius: 10px;
    background-color: rgba(0, 0, 0, 0.25);
}

.article-box {
    background-color: rgba(0, 0, 0, 0.5);
    padding: 20px 20px;
    border-radius: 10px;

}

.footer-navbar {
    width: 100%;
    height: auto;
    bottom: 0;
    flex-shrink: 0;
    position: fixed;
    display: block;
}

.footer-fixed-navbar {
    display: block;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    width: auto;
    height: 65px;
    border-top: 5px solid var(--color-5);
    z-index: 999;
}

.footer .copyright {
    display: flex;
    padding: 10px;
    font-size: 12px;
    color: var(--white);
    justify-content: right;
}

.footer .copyright a {
    color: var(--white);
}

.footer .copyright span {
    margin-bottom: 10px;
}


.footer-fixed-navbar .footer-menu {
    display: flex;
    align-items: center;
    flex-direction: row;
    position: relative;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    list-style: none;
}

.footer-fixed-navbar .footer-menu>.menu-item {
    width: 20%;
    height: 100%;
    border-left: 1px solid var(--color-1);
    border-right: 1px solid var(--color-4);
}

.footer-fixed-navbar .footer-menu>.menu-item:first-child {
    border-left: 0;
}

.footer-fixed-navbar .footer-menu>.menu-item:last-child {
    border-right: 0;
}

.footer-fixed-navbar .footer-menu>.menu-item>.menu-link {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100%;
    color: var(--white);
    text-decoration: none;
}

.footer-fixed-navbar .footer-menu>.menu-item>.menu-link>.menu-icon {
    margin-bottom: 5px;
    width: 35px;
    height: 35px;
    color: var(--color-5);
    font-size: 22px;
}

.footer-fixed-navbar .footer-menu>.menu-item>.menu-link>.menu-text {
    font-size: 12px;
}

.form-wrapper {
    display: block;
    position: relative;
    background-color: transparent;
    transform: translate(0);
    z-index: 1;
}


.form-wrapper .btn-close-popup-form {
    position: absolute;
    top: 15px;
    left: 15px;
    width: 32px;
    height: 32px;
    font-size: 32px;
    color: var(--white);
    z-index: 2;
}

.form-wrapper .btn-close-popup-wl {
    position: absolute;
    top: 15px;
    left: 15px;
    width: 32px;
    height: 32px;
    font-size: 32px;
    color: var(--white);
    z-index: 2;
}

.form-login {
    padding: 0;
    max-width: 100%;
    background-color: transparent;
    border-radius: 0;
}


.form-login .input-group .input-group-text,
.form-login .input-group .form-control {
    background: var(--color-3) !important;
    border-color: var(--color-4) !important;
    color: var(--light);
}

.form-login .input-group .input-group-text {
    background: var(--color-2) !important;
    border-right: 0;
}

.form-login .input-group .form-control {
    border-left: 0;
}

.form-login .input-group .form-control::placeholder {
    color: var(--light);
}

.form-login .btn {
    width: 100%;
    font-weight: 700;
    text-transform: uppercase;
}

.form-login .btn.btn-web-login {}

.form-login .btn.btn-login {
    background-image: var(--gradient-2);
    color: var(--color-2);
}

.form-login .btn.btn-daftar {
    background-image: var(--gradient-3);
    color: var(--white);
}

.form-login .btn.btn-download {
    background-image: var(--gradient-5);
    color: var(--white);
}

.form-user-desktop {
    display: none;
}

.form-user-desktop .btn {
    width: 100px;
}

.form-user-desktop .user-saldo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 4px 8px;
    background-color: var(--light);
    border-radius: 8px;
}

.form-user-desktop .user-saldo .saldo-icon {
    height: 20px;
    font-size: 16px;
}

.form-user-desktop .user-saldo .saldo-value {
    padding: 0 10px;
    font-size: 14px;
    font-weight: 700;
}

.form-user-mobile {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 300px;
    height: auto;
    background-color: var(--color-3);
}

.form-user-mobile .form-header {
    display: block;
    position: relative;
    padding: 20px 15px;
    border-bottom: 2px solid var(--color-5);
}

.form-user-mobile .form-header .btn {
    padding: 4px 0;
    width: 100px;
    height: 32px;
}

.form-user-mobile .form-header .btn-close-popup-form {
    position: relative;
    top: unset;
    left: unset;
    width: 32px;
    height: 32px;
    font-size: 32px;
    color: var(--white);
    z-index: 2;
}

.form-user-mobile .form-header .btn-close-popup-form i {
    width: 32px;
    height: 32px;
}

.form-user-mobile .form-header .text-welcome {
    font-size: 20px;
}

.form-user-mobile .form-header .user-saldo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px 8px;
    background-color: var(--light);
    border-radius: 8px;
}

.form-user-mobile .form-header .user-saldo .saldo-icon {
    width: 23px;
    height: 23px;
    font-size: 22px;
    margin-top: -10px;
}

.form-user-mobile .form-header .user-saldo .saldo-value {
    font-weight: 700;
}

.form-user-mobile .form-body {
    display: block;
    position: relative;
    padding: 12.5px 20px;
}

.form-user-mobile .form-body .user-menu {
    display: block;
    position: relative;
    margin: 0;
    padding: 0;
    list-style: none;
}

.form-user-mobile .form-body .user-menu>.menu-item {
    padding: 12.5px 0;
    border-top: 2px solid var(--color-4);
    border-bottom: 2px solid var(--color-1);
}

.form-user-mobile .form-body .user-menu>.menu-item:first-child {
    border-top: 0;
}

.form-user-mobile .form-body .user-menu>.menu-item:last-child {
    border-bottom: 0;
}

.form-user-mobile .form-body .user-menu>.menu-item>.menu-link {
    display: flex;
    align-items: center;
    color: var(--white);
    font-size: 16px;
    font-weight: 600;
    text-decoration: none;
}

.form-user-mobile .form-body .user-menu>.menu-item>.menu-link>.nav-icon {
    margin-right: 10px;
    width: 24px;
    height: 24px;
    color: var(--color-6);
}

.form-user-mobile .form-body .user-menu>.menu-item>.menu-link>.nav-icon>i {
    font-size: 20px;
}

.form-user-mobile .form-footer {
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    width: auto;
    height: auto;
}

.form-user-mobile .form-footer .btn {
    padding: 8px 0;
    border: 0;
    border-radius: 0;
}

.form-user-mobile .form-footer .btn .fi {
    width: 16px;
    height: 16px;
}

.form-input-wrapper {
    display: flex;
    align-items: center;
    position: relative;
    background-color: var(--white);
    border: 1px solid var(--color-2);
    border-radius: 5px;
}

.form-input-wrapper .form-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 45px;
    height: 35px;
    background-color: var(--light);
    border-right: 1px solid var(--color-4);
    border-radius: 5px 0 0 5px;
    color: var(--color-3);
    text-align: center;
}

.form-input-wrapper .form-input {
    display: block;
    position: relative;
    padding: 8px 10px;
    width: 100%;
    height: 35px;
    background-color: transparent;
    border: 0 !important;
    border-radius: 0 5px 5px 0;
    box-shadow: 0px 5px 20px 0px rgba(0, 0, 0, 0.05);
    font-size: 16px;
    outline: 0 !important;
}

/***navbar credit member--*/
.navbar-credit {
    width: auto;
    margin: auto;
    height: auto;
    color: #fff;
    border-top: 2px solid var(--color-5);
    border-bottom: 2px solid var(--color-5);
    padding: 5px 0px;
}

.navbar-credit .id-mobile {
    width: 30%;
    height: auto;
    padding: 2px 3px;
    vertical-align: baseline;
}

.navbar-credit .saldo-mobile {
    width: 40%;
    height: auto;
    background: none;
    color: var(--color-5);
    padding: 0px 3px;
    border-radius: 10px;
    border: 2px solid var(--color-5);
    vertical-align: baseline;
    font-weight: 600;

}

.navbar-credit .middle-font {
    margin-top: 5px;
    padding: 0 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.navbar-credit .icon {
    margin-top: 0px;
    margin-left: 2px;
    padding: 2px 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 1.19rem;
    border: 2px solid var(--color-5);
    border-radius: 10px;
}

.navbar-credit a {
    color: var(--color-5);
    text-decoration: none;
}

/***end navbar credit member--*/
/***slider container***/
.slider-container {
    overflow: hidden;
    margin-right: -15px;
    margin-left: -15px;
    margin-top: -1vh;
}

.slider-container::-webkit-scrollbar {
    display: none;
}

.slider-container-wrapper {
    display: block;
    white-space: nowrap;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    -ms-overflow-style: auto;
    -ms-autohiding-scrollbar: auto;
    margin-bottom: -20px;
    padding-bottom: 30px;
    justify-content: center;
    text-align: center;
}

.slider-item {
    justify-content: center;
    align-items: center;
    max-width: 80px;
    height: auto;
    display: inline-block;
    border-radius: 5px;
    margin-right: 5px;
    background: var(--color-2);
}

.slider-item:last-child {
    margin-right: 2px;
}


.slider-item .title-menu {
    display: block;
    position: relative;
    margin: 0 auto;
    padding: 2px 2px;
    max-width: 80px;
    color: var(--color-5);
    font-size: 10px;
    text-align: center;
    text-decoration: none;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    text-wrap: nowrap;
    text-transform: uppercase;
}

.slider-item img {
    display: block;
    position: relative;
    width: auto;
    height: auto;
    width: 1fr;
    min-height: auto;
    padding: 3px 2px;
    max-height: 50px;
    aspect-ratio: 2/2;
    filter: grayscale(0);
    object-fit: cover;
}


.box {
    border: 0.3rem solid transparent;
    border-radius: 12px;
    position: relative;
}

.box:hover {
    border: 0.3rem solid transparent;
    animation: conic-rotate 1s linear infinite;
    background:
        linear-gradient(black, black) padding-box,
        conic-gradient(#ff0000, #ffff00, #00ff00, #00ffff,
            #0000ff, #ff00ff, #ff0000) border-box;
}

@keyframes conic-rotate {
    0% {
        background:
            linear-gradient(black, black) padding-box,
            conic-gradient(from 0deg, #ff0000, #ffff00, #00ff00, #00ffff, #0000ff, #ff00ff, #ff0000) border-box;
    }

    12.5% {
        background:
            linear-gradient(black, black) padding-box,
            conic-gradient(from 45deg, #ff0000, #ffff00, #00ff00, #00ffff, #0000ff, #ff00ff, #ff0000) border-box;
    }

    25% {
        background:
            linear-gradient(black, black) padding-box,
            conic-gradient(from 90deg, #ff0000, #ffff00, #00ff00, #00ffff, #0000ff, #ff00ff, #ff0000) border-box;
    }

    37.5% {
        background:
            linear-gradient(black, black) padding-box,
            conic-gradient(from 135deg, #ff0000, #ffff00, #00ff00, #00ffff, #0000ff, #ff00ff, #ff0000) border-box;
    }

    50% {
        background:
            linear-gradient(black, black) padding-box,
            conic-gradient(from 180deg, #ff0000, #ffff00, #00ff00, #00ffff, #0000ff, #ff00ff, #ff0000) border-box;
    }

    62.5% {
        background:
            linear-gradient(black, black) padding-box,
            conic-gradient(from 225deg, #ff0000, #ffff00, #00ff00, #00ffff, #0000ff, #ff00ff, #ff0000) border-box;
    }

    75% {
        background:
            linear-gradient(black, black) padding-box,
            conic-gradient(from 270deg, #ff0000, #ffff00, #00ff00, #00ffff, #0000ff, #ff00ff, #ff0000) border-box;
    }

    87.5% {
        background:
            linear-gradient(black, black) padding-box,
            conic-gradient(from 315deg, #ff0000, #ffff00, #00ff00, #00ffff, #0000ff, #ff00ff, #ff0000) border-box;
    }

    100% {
        background:
            linear-gradient(black, black) padding-box,
            conic-gradient(from 360deg, #ff0000, #ffff00, #00ff00, #00ffff, #0000ff, #ff00ff, #ff0000) border-box;
    }
}

/***game***/

.game-list .game-item {
    display: block;
    position: relative;
    width: 100%;
    max-width: 250px;
    height: auto;
    background-color: var(--color-4);
    border-radius: 12px;
    margin-bottom: 1vh;
}

.game-list .game-item img {
    width: 100%;
    height: 150px;
    border-radius: 12px;
}

.game-list .game-item .game-title {
    display: block;
    position: relative;
    margin: 0 auto;
    padding: 5px 10px;
    width: 100%;
    color: var(--white);
    font-size: 14px;
    text-align: center;
    text-decoration: none;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.game-list .game-item .game-title-rtp {
    display: block;
    position: relative;
    margin: 0 auto;
    padding: 5px 10px;
    width: 100%;
    font-weight: 600;
    background-color: var(--color-5);
    color: var(--black);
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    font-size: 14px;
    text-align: center;
    align-content: center;
    text-decoration: none;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}


.game-list .game-item .game-link {
    display: none;
    justify-content: center;
    align-items: center;
    position: absolute;
    inset: 0;
    width: auto;
    height: auto;
    background-color: rgba(0, 0, 0, 0.75);
    border-radius: 12px;
}

.game-list .game-item:hover .game-link {
    display: flex;
}

.game-list .game-item .game-link .btn-play {
    display: block;
    position: relative;
    padding: 5px 30px;
    background-image: linear-gradient(to right, var(--color-7), var(--color-5));
    border-radius: 50px;
    color: var(--color-1);
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 1.25px;
    text-decoration: none;
    text-transform: uppercase;
}


.icon-box-info {
    display: flex;
    align-items: center;
    gap: 20px;
}

.icon-box-info .icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    background-image: var(--gradient-2);
    border-radius: 50%;
    color: var(--color-1);
    font-size: 30px;
    line-height: 1;
}

.icon-box-info .icon .fi {
    display: block;
    position: relative;
    margin: 0;
    padding: 0;
    width: 30px;
    height: 30px;
}

.icon-box-info .icon .fi.fi-lg {
    width: 35px;
    height: 35px;
    font-size: 35px !important;
}

.icon-browser {
    display: block;
    position: relative;
    width: 40px;
    height: 40px;
    filter: grayscale(1);
}

.icon-browser:hover {
    filter: grayscale(0);
}

.input-readonly,
.input-readonly:focus {
    background-color: var(--color-1) !important;
    border-color: var(--color-4) !important;
    color: var(--white) !important;
}

.input-readonly::placeholder {
    color: var(--white) !important;
}

.input-group .btn-icon {
    display: flex;
    justify-content: center;
    align-items: center;
}

.input-group .btn-icon .fi {
    display: block;
    width: 15px;
    height: 15px;
}


.logo-wrapper {
    display: block;
    position: relative;
    max-width: 125px;
}

.logo-wrapper .logo-box {
    display: block;
    position: relative;
}

.modal .modal-dialog .modal-content {
    border-radius: 12px;
    overflow: hidden;
}

.modal .modal-dialog .modal-content .modal-header,
.modal .modal-dialog .modal-content .modal-header img {
    border-radius: 10px 10px 0 0;
}

.modal .modal-dialog .modal-content .modal-header .close-modal {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 15px;
    right: 15px;
    width: 25px;
    height: 25px;
    background-color: var(--white);
    border-radius: 50px;
    color: var(--red-1);
    font-size: 19px;
    font-weight: 700;
}

.modal .modal-dialog .modal-content .modal-header .close-modal .bi {
    display: block;
    width: 25px;
    height: 25px;
}

.modal .modal-dialog .modal-content .modal-body {
    border-radius: 0 0 10px 10px;
}


.menu-header-container {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    inset: 0;
    width: auto;
    height: auto;
    background-color: rgba(0, 0, 0, 0.75);
    transition: transform 0.5s ease-in-out;
    transform: translateX(150%);
}

.menu-header {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 0;
    margin-bottom: 2px;
}

.menu-header .menu-item>.menu-link {
    display: block;
    justify-content: center;
    align-items: center;
    padding: 5px;
    flex-direction: column;
    text-decoration: none;
    min-width: 90px;
    padding: 12.5px 5px;
}

.menu-header .menu-item>.menu-link>.nav-icon {
    display: flex;
    position: relative;
    margin: 0 auto;
    width: 25px;
    height: 25px;
    transition: all .15s ease-in-out;
}

.menu-header .menu-item>.menu-link>.nav-text {
    font-size: 14px;
}

.menu-header .menu-item>.menu-link>.nav-icon {
    aspect-ratio: 1/1;
    object-fit: cover;
}

.menu-header .menu-item>.menu-link>.nav-icon .icon-text {
    color: var(--white);
    font-size: 12px;
    text-transform: uppercase;
    padding: 5px 5px;
}

.menu-header .menu-item>.menu-link>.nav-icon .icon-text:hover {
    color: var(--black);
    font-size: 12px;
    text-transform: uppercase;
}

.menu-tab-wrapper {
    display: block;
    position: relative;
    border-top: 5px solid var(--color-5);
}

.menu-tab-wrapper .menu-tab {
    display: flex;
    align-items: center;
    flex-direction: row;
    position: relative;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    list-style: none;
}

.menu-tab-wrapper .menu-tab>.tab-link {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    position: relative;
    width: 25%;
    border-left: 1px solid var(--color-1);
    border-right: 1px solid var(--color-4);
    text-align: center;
    text-decoration: none;
    line-height: 50px;
}

.menu-tab-wrapper .menu-tab>.tab-link:first-child {
    border-left: 0;
}

.menu-tab-wrapper .menu-tab>.tab-link:last-child {
    border-right: 0;
}

.menu-tab-wrapper .menu-tab>.tab-link>.tab-icon {
    display: block;
    position: relative;
    margin-right: 15px;
    margin-top: -25px;
    width: 25px;
    height: 25px;
    color: var(--color-5);
    font-size: 20px;
    font-weight: 700;
}

.menu-tab-wrapper .menu-tab>.tab-link>.tab-icon>i.fi {
    display: block;
    position: relative;
    width: 25px;
    height: 25px;
}

.menu-tab-wrapper .menu-tab>.tab-link>.tab-icon>i.fi::before {
    position: absolute;
    top: calc(50% - 10px);
}

.menu-tab-wrapper .menu-tab>.tab-link>.tab-text {
    display: block;
    position: relative;
    color: var(--white);
    font-size: 15px;
    font-weight: 500;
}


.navbar-footer .nav-item {
    margin-right: 10px;
    padding-right: 10px;
    border-right: 1px solid var(--text-light-color-hover);
}

.navbar-footer .nav-item:last-child {
    margin: 0;
    padding: 0;
    border-right: 0;
}

.navbar-footer .nav-item>.nav-link {
    padding: 0;
    font-size: 12px;
    font-weight: 600;
    line-height: 1;
}

.navbar-footer .nav-item>.nav-link:hover {
    color: var(--color-9) !important;
}


.notifbar-wrapper {
    display: block;
    position: relative;
    padding-top: 8px;
}

.notifbar-wrapper::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: auto;
    height: 8px;
    background-image: var(--gradient-6);
}

.notifbar {
    display: block;
    position: relative;
    border-radius: 0 0 12px 12px;
    padding: 3px;
}

.notifbar::before,
.notifbar::after {
    content: "";
    position: absolute;
    top: 0;
    left: -10px;
    bottom: 0;
    width: 40px;
    height: auto;
    background-color: var(--color-5);
    border-radius: 0 0 0 12px;
    transform: skewX(25deg);
    z-index: -1;
}

.notifbar::after {
    left: auto;
    right: -10px;
    border-radius: 0 0 12px 0;
    transform: skewX(-25deg);
}

.notifbar .icon-box {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-right: 5px;
}

.notifbar .icon-box .icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 35px;
    height: 35px;
    background-image: var(--gradient-1);
    border-radius: 50px;
    color: var(--color-9);
    font-size: 14px;
    line-height: 1;
}

.notifbar .icon-box .icon .fi {
    line-height: 1;
}

.notifbar .icon-box .text {
    font-weight: 700;
    color: var(--color-2);
}

.notifbar .marquee-bar {
    display: flex;
    position: relative;
    padding: 5px;
    height: 35px;
    background-color: var(--color-1);
    border-radius: 50px;
    overflow: hidden;

}

marquee {
    width: 100%;
    white-space: nowrap;
    animation: marquee 15s linear;
}



@keyframes marquee {
    0% {
        transform: translateX(100%);
    }

    100% {
        transform: translateX(-100%);
    }
}

.page-title {
    display: block;
    position: relative;
    margin-bottom: 15px;
    padding-bottom: 10px;
    font-size: 20px;
    font-weight: 600;
}

.page-title::before,
.page-title::after {
    content: "";
    position: absolute;
    bottom: 0;
    height: 3px;
    background-color: var(--color-6);
    border-radius: 50px;
}

.page-title::before {
    left: 0;
    width: 10px;
}

.page-title::after {
    left: 15px;
    width: 40px;
}


.promo-box {
    display: block;
    position: relative;
    padding: 3px;
    background-image: var(--gradient-6);
    border-radius: 12px;
}

.promo-box img {
    display: block;
    position: relative;
    border-radius: 10px;
}

.promo-box .btn-popup-promo {
    display: flex;
    align-items: center;
    gap: 8px;
    position: absolute;
    bottom: 3px;
    right: 3px;
    background-image: var(--gradient-2);
    border-radius: 20px 0 10px 0;
    color: var(--color-1);
    font-size: 14px;
    font-weight: 700;
    z-index: 1;
}

.promo-box .btn-popup-promo .fi {
    display: block;
    width: 14px;
    height: 14px;
}

.promo-box .btn-popup-promo::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: -10px;
    width: 30px;
    height: auto;
    background-image: var(--gradient-2);
    border-radius: 10px 0 0 0;
    transform: skewX(-15deg);
    z-index: -1;
}

.provider-bar {
    display: contents;
    text-align: center;
}

/*--popup--*/
.popup {
    width: 100%;
    height: 100%;
    position: fixed;
    background: rgba(0, 0, 0, 0.9);
    top: 0;
    left: 0;
    z-index: 9999;
    visibility: hidden;
}

.window {
    background-color: #333;
    border: 3px solid var(--color-5);
    width: 300px;
    height: auto;
    border-radius: 10px;
    position: relative;
    padding: 10px;
    text-align: center;
    margin: 15% auto;
}

.window .banner {
    border-radius: 10px;
    aspect-ratio: 18/9;
    object-fit: cover;
}

.popup-utama {
    top: 0;
}

.popup-dua {
    top: 0;
}

.popup:target {
    visibility: visible;
}

.close-button {
    text-decoration: none;
    color: #fff;
    width: 20px;
    height: 20px;
    border-width: 3px;
    border-style: solid;
    border-color: red;
    border-radius: 100%;
    background: -webkit-linear-gradient(-45deg, transparent 0%, transparent 46%, white 46%, white 56%, transparent 56%, transparent 100%), -webkit-linear-gradient(45deg, transparent 0%, transparent 46%, white 46%, white 56%, transparent 56%, transparent 100%);
    background-color: red;
    box-shadow: 0px 0px 5px 2px rgba(0, 0, 0, 0.5);
    transition: all 0.3s ease;
    display: block;
    text-align: center;
    text-decoration: none;
    position: absolute;
    top: 0px;
    right: 0px;
}

.close-popup {
    position: inherit;
    box-sizing: border-box;
    width: 30px;
    height: 30px;
    border-width: 3px;
    border-style: solid;
    border-color: red;
    border-radius: 100%;
    background: -webkit-linear-gradient(-45deg, transparent 0%, transparent 46%, white 46%, white 56%, transparent 56%, transparent 100%), -webkit-linear-gradient(45deg, transparent 0%, transparent 46%, white 46%, white 56%, transparent 56%, transparent 100%);
    background-color: red;
    box-shadow: 0px 0px 5px 2px rgba(0, 0, 0, 0.5);
    transition: all 0.3s ease;
    top: 1vh;
    right: 1vh;
}

.close-icon {
    display: block;
    box-sizing: border-box;
    width: 20px;
    height: 20px;
    border-width: 3px;
    border-style: solid;
    border-color: red;
    border-radius: 100%;
    background: -webkit-linear-gradient(-45deg, transparent 0%, transparent 46%, white 46%, white 56%, transparent 56%, transparent 100%), -webkit-linear-gradient(45deg, transparent 0%, transparent 46%, white 46%, white 56%, transparent 56%, transparent 100%);
    background-color: red;
    box-shadow: 0px 0px 5px 2px rgba(0, 0, 0, 0.5);
    transition: all 0.3s ease;
}

/**jackpot***/
.jackpot-container {
    position: relative;
    width: 100%;
    height: auto;
    margin-top: -5vh;
    text-align: center;
    padding-bottom: 2vh;
}

.jackpot-container img {
    width: revert-layer;
    height: 100px;
}


.jackpot-number {
    display: flex;
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 3.3em;
    font-weight: bold;
    color: #fff;
    padding: 10px 20px;
    border-radius: 10px;
    text-shadow: 0 0 10px #000;
}

/***floating***/

.myfloat-left {
    position: fixed;
    float: left;
    bottom: 20px;
    left: 10px;
    z-index: 100;
}

.myfloat-right {
    position: fixed;
    float: right;
    bottom: 20px;
    right: 10px;
    z-index: 100;
}

/**contact us */
.contactus table,
.contactus table a {
    margin: auto;
    width: 100%;
    padding: 1vh;
    color: #fff;
    text-align: left;
    border: none;
    text-decoration: none;
}

.contactus table tr {
    height: auto;
    vertical-align: middle;
    padding: 10px 0;
}

.contactus table td {
    width: auto;
    padding: 0.3vh 0.3vh;
    line-height: 16px;
    font-size: 14px;
    vertical-align: middle;
    text-transform: uppercase;
}

.contactus table img {
    width: 40px;
    height: auto;
    aspect-ratio: 1/1;
    object-fit: cover;

}

/*--MULTICAROUSEL TEST--*/
.MultiCarousel {
    float: left;
    overflow: hidden;
    padding: 15px;
    width: 100%;
    position: relative;
}

.MultiCarousel::-webkit-scrollbar {
    display: none;
}

.MultiCarousel .MultiCarousel-inner {
    transition: 1s ease all;
    display: flex;
}

.MultiCarousel .MultiCarousel-inner .item {
    float: left;
    margin: 6px;
}

.MultiCarousel .MultiCarousel-inner .item img {
    aspect-ratio: 1/1;
    object-fit: cover;
    max-width: 180px;
}

.MultiCarousel .MultiCarousel-inner .item>div {
    text-align: center;
    padding: 10px;
    margin: 10px;
    background: #f1f1f1;
    color: #666;
}

.MultiCarousel .leftLst,
.MultiCarousel .rightLst {
    position: absolute;
    border-radius: 50%;
    top: calc(50% - 20px);
    color: #000;
    font-weight: 600;
}

.MultiCarousel .leftLst {
    left: 0;
}

.MultiCarousel .rightLst {
    right: 0;
}

.MultiCarousel .leftLst.over,
.MultiCarousel .rightLst.over {
    pointer-events: none;
    background: #fff;
}


/**slider rtp**/
.slider-container-rtp {
    overflow: hidden;
    padding: 10px 0px 15px 0px;
}

.slider-rtp::-webkit-scrollbar {
    display: none;
}

.slider-rtp {
    display: block;
    white-space: nowrap;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    margin-bottom: -20px;
    padding-bottom: 10px;
    justify-content: center;
    text-align: center;
}

.slider-rtp .slider-item-rtp {
    justify-content: center;
    align-items: center;
    width: auto;
    height: auto;
    display: inline-block;
    border-radius: 5px;
    margin-right: 5px;
    background: var(--color-2);
}

.slider-rtp .slider-item-rtp:last-child {
    margin-right: 2px;
}

.slider-rtp .slider-item-rtp img {
    display: block;
    position: relative;
    padding: 3px 2px;
    width: 100%;
}

.slider-rtp .slider-item-rtp .title-menu {
    display: block;
    position: relative;
    margin: 0 auto;
    padding: 2px 2px;
    width: 200px;
    color: var(--title-widget);
    font-size: 12px;
    text-align: center;
    text-decoration: none;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    text-wrap: nowrap;
    text-transform: uppercase;
}

.slider-rtp .slider-item-rtp img {
    display: block;
    position: relative;
    max-width: 18vh;
    height: auto;
    width: 250px;
    min-height: auto;
    height: 80px;
    aspect-ratio: 2/2;
    filter: grayscale(0);
    object-fit: fill;
}

.carousel2 {
    overflow: hidden;
}

@media (max-width: 767px) {
    .carousel-inner .carousel-item>div {
        display: none;
    }

    .carousel-inner .carousel-item>div:first-child {
        display: block;
    }
}

.carousel-inner .carousel-item.active,
.carousel-inner .carousel-item-next,
.carousel-inner .carousel-item-prev {
    display: flex;
}

/* medium and up screens */
@media (min-width: 768px) {

    .carousel-inner .carousel-item-end.active,
    .carousel-inner .carousel-item-next {
        transform: translateX(16.67%);
    }

    .carousel-inner .carousel-item-start.active,
    .carousel-inner .carousel-item-prev {
        transform: translateX(-16.67%);
    }
}

.carousel-inner .carousel-item-end,
.carousel-inner .carousel-item-start {
    transform: translateX(0);
}